Request domain unlock from registry lock.

Request to unlock a domain from registry lock. You need to provide the `domainId` obtained from the internal endpoint. This is necessary to make changes like switching nameservers.

Domain Services Registry Locks

Context

Headers

Accept Example
Content-Type Example

Body

required
application/json
domainId string required · Example: 6371
forceRequest boolean required · Example: false

Responses

200
data object required
data.alreadyRequested boolean · Example: true
data.alreadyUnlocked boolean · Example: true
data.companyName string · nullable · Example: Example AB

Nullable: may be null when not applicable.

data.daysSinceRequest integer · Example: 0
data.domainExtension string · Example: nu
data.domainName string · Example: example.com
data.domainOrgno string · Example: [SE]555555-0000
data.message string · Example: Hello! I have a question about my account.\n\nThanks!

Human-readable message.

data.requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

data.requiresBankId boolean · Example: true
data.requiresConfirmation boolean · Example: true
data.success boolean · Example: true

True for successful responses.

data.ticVerified boolean · Example: true
data.verificationFailed boolean · Example: true
data.verificationReason string · Example: Personnummer matchar inte domänens registrerade ägare
data.verifiedAs string · nullable · Example: Styrelseledamot

Nullable: may be null when not applicable.

data.yourOrgno string · enum · Example: [SE]555555-0000
[SE]555555-0000
[SE]555555-0000
[SE]555555-0000
[SE]555555-0000
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

500
code string required · Example: INTERNAL_ERROR

Machine-readable error code.

error string required · Example: Internal Server Error

HTTP status title (e.g. 'Bad Request').

message string required · Example: An unexpected error occurred

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/registry-lock/request-unlock
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/registry-lock/request-unlock" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "domainId": "6371",
    "forceRequest": false
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "alreadyUnlocked": true,
    "domainName": "example.com"
  }
}
Request Body Example 1
{
  "domainId": "6371",
  "forceRequest": false
}